Package com.logicaldoc.core.document.thumbnail

# Class Mp3ThumbnailBuilder

java.lang.Object
com.logicaldoc.core.document.thumbnail.AbstractThumbnailBuilder
com.logicaldoc.core.document.thumbnail.Mp3ThumbnailBuilder

All Implemented Interfaces:
  `ThumbnailBuilder`

public class Mp3ThumbnailBuilder extends AbstractThumbnailBuilder
Takes care of mp3 thumbnail builder

Since:
  8.2
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`Mp3ThumbnailBuilder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`buildThumbnail(String sid, Document document, String fileVersion, File src, File dest, int size, int quality)`
Produce the thumbnail

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Mp3ThumbnailBuilder

public Mp3ThumbnailBuilder()

## Method Details

### buildThumbnail

public void buildThumbnail(String sid, Document document, String fileVersion, File src, File dest, int size, int quality) throws IOException
Description copied from interface: `ThumbnailBuilder`
Produce the thumbnail

Parameters:
  `sid` - The session identifier (optional)
  `document` - The document
  `fileVersion` - Optional file version spec
  `src` - The source file
  `dest` - The destination thumbnail file
  `size` - The thumbnail size
  `quality` - Compression quality(0..100, 100 is maximum quality)
Throws:
  `IOException` - raised when the image cannot be written